%Parameter setting of six-phase SM
clear
clc
Unleff=6000%V
Pn=1850000%VA
p=3%paar poles
%Calculation:
Vb=1.4142*Unleff/1.732;
Ib=2*Pn/(3*Vb);
Wb=100*pi/p%rad/s
wb_b=100*pi;
Mb=Pn/Wb;
Rb=Vb/Ib;
%Given in p.u.
Rs=0.0085*2;
Rf=0.005;
Rkd=0.0915;
Rkq=0.079;
k=0.85;
b=0.1;
Xsl=0.13;%stator leakage inductance
Xmd=1.29%main d inductance
Xmq=0.695;%main q inductance
Xfl=0.307;%field leakage inductance
Xkdl=0.208;%dempfer d leakage inductance
Xkql=0.185;%dempfer q leakage inductance
J=300;%kgm*m
H=0.5*Wb*Wb*J/Pn;
Xs=(1-k)*Xsl;
Xsm=k*Xsl;
d=1-k^2-b^2
Xaq=(1/Xmq+1/Xkql+2*(1-k)/(Xsl*d))^-1
Xad=(1/Xmd+1/Xkdl+1/Xfl+2*(1-k)/(Xsl*d))^-1
Xd=Xmd+Xsl;Xq=Xmq+Xsl;
Xkd=Xmd+Xkdl;Xkq=Xmq+Xkql;
Xf=Xmd+Xfl;
wmo=0;%motor start speed
tho=0;
phifdo=1;%initial condition for rotor flux
phikqo=0;
phikdo=0;
phido=0;
phiqo=0;
phido1=0;
phiqo1=0;
F=0;