%Initialization of the model of 6-phase IM
clear
clc
Unleff=400%v
Pn=400000%VA
Zp=2%number of the pole pair
f=50%Hz
%Computation
Vb=1.4142*Unleff/1.732;
Ib=2*Pn/(3*Vb);
W0=2*pi*f;
wb_b=W0;
Wb=W0/Zp%rad/s
Mb=Pn/Wb;
Rb=Vb/Ib;
%-----------------------------------
pu=1%parameters are set in pu
%----------------------------------
%if parameters are set in SI, set pu=0
%--------------------------------------------------
if pu==1;
Rs=0.06;%pu.
Rr=0.03*2%pu
Lls=0.1%pu,stator leakage inductance
Llr=0.1%pu, rotor leakage inductance
Lm=2.4%16;%pu, main inductance
H=0.22*1.5;%sec
F=0;
Rth=500;%pu
wmo=0;tho=0;%initial values of the speed in pu, rotor angle, rad
phirdo=0;phirqo=0;%pu
phisqo=0;phisdo=0;%pu
end;
%--------------------------------------------
if pu==0
%computation of pu
Rs=0.318*2;%Ohm
Rr=0.174;%Ohm
Lls=0.00645;%H,stator leakage inductance
Llr=0.00645;%H,rotor leakage inductance
Lm=0.173;%H
J=29*1.5;% kgm^2
Rs=Rs/Rb;
Rr=Rr/Rb;
Lls=Lls*W0/Rb;%pu
Llr=Llr*W0/Rb;%pu
Lm=Lm*W0/Rb;%pu
H=0.5*Wb^2*J/Pn;%sec
F=0;
Rth=500;%pu
phirdo=0;phirqo=0;
phisqo=0;phisdo=0;
wmo=0;tho=0;%start with zero speed
end;
Laq=(1/Llr+1/Lls+1/Lm)^-1;
Lad=Laq;
Km=2;Kw=1;
save IM_MODEL
