%Initialization of the IM model with 6 terminals 
clear
clc
Unleff=5500%V
Pn=3.5e6%VA
Zp=4%number of pole pair
f=50%Hz
%Computation
Vb=1.4142*Unleff/1.732;
Ib=2*Pn/(3*Vb);
W0=2*pi*f;
wb_b=W0;
Wb=W0/Zp%rad/s
Mb=Pn/Wb;
Rb=Vb/Ib;
%-----------------------------------
pu=1%parameters in pu
%----------------------------------
%if parameters inSI, set pu=0
%--------------------------------------------------
if pu==1;
Rs=0.0138;%pu
Rr=0.0077;%pu
Lls=0.09;%pu,stator leakage inductance
Llr=0.09;%pu,rotor leakage inductance
Lm=2.416;%pu, main inductance
H=0.33;%sec
F=0;
wmo=0;tho=0;%initial values of the speed in pu and rotor angle,rad.
phirdo=0;phirqo=0;%pu
phisqo=0;phisdo=0;%pu
end;
%--------------------------------------------
if pu==0
%computation of pu
Rs=0.12;%Ohm
Rr=0.0606;%Ohm
Lls=0.00248;%H,stator leakage inductance
Llr=0.00248;%H,rotor leakage inductance
Lm=0.0666;%H
J=374;% kgm^2
Rs=Rs/Rb;%
Rr=Rr/Rb;;
Lls=Lls*W0/Rb;%pu
Llr=Llr*W0/Rb;%pu
Lm=Lm*W0/Rb;%pu
H=0.5*Wb^2*J/Pn;%sec
F=0;
phirdo=0;phirqo=0;
phisqo=0;phisdo=0;
wmo=0;tho=0;%start with zero speed
end;
Laq=(1/Llr+1/Lls+1/Lm)^-1;
Lad=Laq;
Km=1;Kw=1;
save IM_MODEL
